summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thibaut Notteboom <tib@tibux.org>2013-01-13 20:53:07 (GMT)
committer dsomero <xgizzmo@slackbuilds.org>2013-01-20 14:03:05 (GMT)
commit7efc0bc77a5515804b66bf8b74655f5f441ccd50 (patch)
tree8e10ed09a7823251b8a9d57fa77b207c150682cd
parent79a9b6ba53684f2ce0bc375c3475a9d104bcf665 (diff)
downloadslackbuilds-7efc0bc77a5515804b66bf8b74655f5f441ccd50.tar.gz
network/cacti-spine: Added (poller for Cacti).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--network/cacti-spine/README7
-rw-r--r--network/cacti-spine/cacti-spine.SlackBuild96
-rw-r--r--network/cacti-spine/cacti-spine.info10
-rw-r--r--network/cacti-spine/doinst.sh14
-rw-r--r--network/cacti-spine/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/network/cacti-spine/README b/network/cacti-spine/README
new file mode 100644
index 0000000..bc47830
--- /dev/null
+++ b/network/cacti-spine/README
@@ -0,0 +1,7 @@
+Spine, formerly Cactid, is a poller for Cacti that primarily strives
+to be as fast as possible. For this reason it is written in native C,
+makes use of POSIX threads, and is linked directly against the
+net-snmp library for minmumal SNMP polling overhead.
+
+Spine is a replacement for the default cmd.php poller so you must
+decide if using Spine makes sense for your installation.
diff --git a/network/cacti-spine/cacti-spine.SlackBuild b/network/cacti-spine/cacti-spine.SlackBuild
new file mode 100644
index 0000000..ac53fc5
--- /dev/null
+++ b/network/cacti-spine/cacti-spine.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for cacti-spine
+
+# Copyright 2013 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cacti-spine
+VERSION=${VERSION:-0.8.8a}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/etc/spine.conf.dist $PKG/etc/spine.conf.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING ChangeLog INSTALL LICENSE LICENSE.LGPL README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/cacti-spine/cacti-spine.info b/network/cacti-spine/cacti-spine.info
new file mode 100644
index 0000000..44d0dd9
--- /dev/null
+++ b/network/cacti-spine/cacti-spine.info
@@ -0,0 +1,10 @@
+PRGNAM="cacti-spine"
+VERSION="0.8.8a"
+HOMEPAGE="http://www.cacti.net/"
+DOWNLOAD="http://www.cacti.net/downloads/spine/cacti-spine-0.8.8a.tar.gz"
+MD5SUM="a156128755b043dfc34811b3e2da967e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Thibaut Notteboom"
+EMAIL="tib@tibux.org"
diff --git a/network/cacti-spine/doinst.sh b/network/cacti-spine/doinst.sh
new file mode 100644
index 0000000..456df76
--- /dev/null
+++ b/network/cacti-spine/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/spine.conf.new
diff --git a/network/cacti-spine/slack-desc b/network/cacti-spine/slack-desc
new file mode 100644
index 0000000..5200918
--- /dev/null
+++ b/network/cacti-spine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cacti-spine: cacti-spine (Poller for Cacti)
+cacti-spine:
+cacti-spine: Spine, formerly Cactid, is a poller for Cacti that primarily strives
+cacti-spine: to be as fast as possible. For this reason it is written in native C,
+cacti-spine: makes use of POSIX threads, and is linked directly against the
+cacti-spine: net-snmp library for minmumal SNMP polling overhead.
+cacti-spine:
+cacti-spine: Spine is a replacement for the default cmd.php poller so you must
+cacti-spine: decide if using Spine makes sense for your installation.
+cacti-spine:
+cacti-spine: Homepage: http://www.cacti.net/